## org.apache.batik.svggen.font
Class Glyph

    java.lang.Object
      org.apache.batik.svggen.font.Glyph

public class Glyph
extends java.lang.Object

An individual glyph within a font.

Field Summary
`protected int` `advanceWidth`
`protected short` `leftSideBearing`

Constructor Summary
`Glyph(GlyphDescription gd, short lsb, int advance)`

Method Summary
`int` `getAdvanceWidth()`
`short` `getLeftSideBearing()`
`Point` `getPoint(int i)`
`int` `getPointCount()`
`void` `reset()` Resets the glyph to the TrueType table settings
`void` `scale(int factor)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### leftSideBearing

    protected short leftSideBearing

### advanceWidth

    protected int advanceWidth

Constructor Detail

### Glyph

    public Glyph(GlyphDescription gd,
                 short lsb,
                 int advance)

Method Detail

### getAdvanceWidth

    public int getAdvanceWidth()

### getLeftSideBearing

    public short getLeftSideBearing()

### getPoint

    public Point getPoint(int i)

### getPointCount

    public int getPointCount()

### reset

    public void reset()

  Resets the glyph to the TrueType table settings

### scale

    public void scale(int factor)

  Parameters:
    `factor` - a 16.16 fixed value

Copyright © 2004 Apache Software Foundation. All Rights Reserved.